igeo

## Class IVecR.Shear

- java.lang.Object
- - igeo.IParameterObject
  - - igeo.IVecR.Shear

- All Implemented Interfaces:
    IParameter, ISubobject, IVal, IVecOp
  Enclosing class:
    IVecR

      public static class IVecR.Shear
      extends IParameterObject
      implements IVecOp

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IDoubleOp` | `sxy`
    `IDoubleOp` | `sxz`
    `IDoubleOp` | `syx`
    `IDoubleOp` | `syz`
    `IDoubleOp` | `szx`
    `IDoubleOp` | `szy`
    `IVecOp` | `v`

    - ### Fields inherited from class igeo.IParameterObject

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Shear(IVecOp v, IDoubleOp sxy, IDoubleOp syx, IDoubleOp syz, IDoubleOp szy, IDoubleOp szx, IDoubleOp sxz)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IVec` | `get()`

    - ### Methods inherited from class igeo.IParameterObject

      `createObject, parent, parent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### v

          public IVecOp v

    - #### sxy

          public IDoubleOp sxy

    - #### syx

          public IDoubleOp syx

    - #### syz

          public IDoubleOp syz

    - #### szy

          public IDoubleOp szy

    - #### szx

          public IDoubleOp szx

    - #### sxz

          public IDoubleOp sxz

  - ### Constructor Detail

    - #### Shear

          public Shear(IVecOp v,
                       IDoubleOp sxy,
                       IDoubleOp syx,
                       IDoubleOp syz,
                       IDoubleOp szy,
                       IDoubleOp szx,
                       IDoubleOp sxz)

  - ### Method Detail

    - #### get

          public IVec get()

      Specified by:
        `get` in interface `IParameter`
      Specified by:
        `get` in interface `IVecOp`